/*
 * FuncionEj4.java
 *
 * Creado el 26 de diciembre de 2005, 23:39
 */


package computacion.practica3;

/**
 *
 * @author Vctor Jimnez
 *
 * MTODOS NUMRICOS
 * LICENCIATURA DE MATEMTICAS
 * UNIVERSIDAD DE MURCIA
 */
public class FuncionEj4 implements auxiliar.Funcion {  
    double p0;
    double p1;
    double ne;
    
    public FuncionEj4(double par_p0, double par_p1, double par_ne) {
        p0 = par_p0;
        p1 = par_p1;
        ne = par_ne;
    }
    
    public double eval(double lambda) {
        if (lambda == 0) {
            return p0 + ne - p1;
        } else {
        return p0 * Math.exp(lambda) + ne * (Math.exp(lambda) - 1) / lambda
                - p1;
        }
    }
    
    public double derivada(double lambda) {
        if (lambda == 0) {
            return p0 + ne / 2;
        } else {
        return p0 * Math.exp(lambda) + ne
                * (Math.exp(lambda) * lambda - Math.exp(lambda) + 1)  
                / (lambda * lambda);
        }
    }
    
    
    
    
}
